Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 449466 - FTBFS powerpc-utils-papr-1.0.4-3.fc9
Summary: FTBFS powerpc-utils-papr-1.0.4-3.fc9
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: powerpc-utils-papr
Version: rawhide
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Roman Rakus
QA Contact: Fedora Extras Quality Assurance
URL: http://linux.dell.com/files/fedora/Fi...
Whiteboard:
Depends On:
Blocks: FTBFS
TreeView+ depends on / blocked
 
Reported: 2008-06-02 19:13 UTC by FTBFS
Modified: 2014-01-13 00:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-05 13:06:22 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
root.log.bz2 (deleted)
2008-06-02 19:13 UTC, FTBFS
no flags Details
build.log.bz2 (deleted)
2008-06-02 19:13 UTC, FTBFS
no flags Details
root.log.bz2 (deleted)
2008-06-02 19:13 UTC, FTBFS
no flags Details
build.log.bz2 (deleted)
2008-06-02 19:13 UTC, FTBFS
no flags Details

Description FTBFS 2008-06-02 19:13:01 UTC
powerpc-utils-papr-1.0.4-3.fc9.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.

Comment 1 FTBFS 2008-06-02 19:13:21 UTC
Created attachment 307568 [details]
root.log.bz2

root.log for i386

Comment 2 FTBFS 2008-06-02 19:13:32 UTC
Created attachment 307569 [details]
build.log.bz2

build.log for i386

Comment 3 FTBFS 2008-06-02 19:13:44 UTC
Created attachment 307570 [details]
root.log.bz2

root.log for x86_64

Comment 4 FTBFS 2008-06-02 19:13:46 UTC
Created attachment 307571 [details]
build.log.bz2

build.log for x86_64

Comment 5 Roman Rakus 2008-06-05 10:00:44 UTC
Why is powerpc-utils-papr building for i386 and x86_64? In spec file is
specified Exclusive arch for ppc and ppc64.

Comment 6 Matt Domsch 2008-06-05 13:06:03 UTC
This is probably still a bug in my build system, which isn't koji.  My scripts
were supposed to exclude such from the report, I'll look into why it's not.

Comment 7 Matt Domsch 2008-06-06 03:55:45 UTC
ah, now I remember.  rpm -q --qf "%{EXCLUSIVEARCH}" and EXCLUDEARCH is broken. 
I've written a small python helper which can extract those fields correctly. 
Future runs should exclude such packages now.  I apologize for the confusion
this may have caused.


Note You need to log in before you can comment on or make changes to this bug.